package me.icymint.libra.sas;

import me.icymint.libra.sas.exception.SasAbortException;
import me.icymint.libra.sas.exception.SasCacheFileLockedException;
import me.icymint.libra.sas.exception.SasInterruptException;
import me.icymint.libra.sas.exception.SasNotRunException;
import me.icymint.libra.sas.exception.SasRunErrorException;

/**
 * SAS执行器。
 * 
 * @author Daniel
 * @datetime 2012-10-23上午9:57:16
 * 
 */
public interface SasExecutorService {
	/**
	 * 
	 * @throws SasInterruptException
	 * @throws SasRunErrorException
	 * @throws SasAbortException
	 * @throws SasCacheFileLockedException
	 * @throws SasNotRunException
	 */
	void execute() throws SasInterruptException, SasRunErrorException,
			SasAbortException, SasCacheFileLockedException, SasNotRunException;
}
